> For the complete documentation index, see [llms.txt](https://docs.digitalsamba.com/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalsamba.com/reference/sdk/methods/removeuicallback.md).

# removeUICallback()

Removes an already registered UI callback function.

In the below example the leave session callback is removed at some point later:

<pre class="language-javascript"><code class="lang-javascript"><strong>const leaveSessionCallback = () => {
</strong><strong>   console.log('Custom leave session logic called');
</strong><strong>   if (confirm('Are you sure you want to leave the session?')) {
</strong>      sambaFrame.leaveSession();
   }
<strong>};
</strong><strong>
</strong><strong>sambaFrame.addUICallback('leaveSession', leaveSessionCallback);
</strong><strong>
</strong><strong>//At some point later:
</strong>sambaFrame.removeUICallback('leaveSession', leaveSessionCallback);
</code></pre>

{% hint style="info" %}
This method is often used in conjunction with the [addUICallback ](/reference/sdk/methods/adduicallback.md)method.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/methods/removeuicallback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
